cascading.tuple.tez.util

## Class TuplePartitioner

- java.lang.Object
- - cascading.tuple.util.TupleHasher
  - - cascading.tuple.hadoop.util.HasherPartitioner
    - - cascading.tuple.tez.util.TuplePartitioner

All Implemented Interfaces:
  java.io.Serializable, Configurable, org.apache.tez.runtime.library.api.Partitioner

    public class TuplePartitioner
    extends HasherPartitioner
    implements org.apache.tez.runtime.library.api.Partitioner

Class GroupingPartitioner is an implementation of `Partitioner`.

See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class cascading.tuple.util.TupleHasher

`TupleHasher.HashFunction`

### Field Summary

### Fields inherited from class cascading.tuple.hadoop.util.HasherPartitioner

`HASHER_PARTITIONER_USE_LEGACY_HASH`

### Fields inherited from class cascading.tuple.util.TupleHasher

`hashFunction`

### Constructor Summary

Constructors
Constructor and Description
`TuplePartitioner(Configuration configuration)`

### Method Summary

Methods
`int` `getPartition(java.lang.Object key, java.lang.Object value, int numReduceTasks)`

### Methods inherited from class cascading.tuple.hadoop.util.HasherPartitioner

`getConf, setConf`

### Methods inherited from class cascading.tuple.util.TupleHasher

`getHashFunction, hashCode, initialize, isNull, merge, wrapTuple`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TuplePartitioner

    public TuplePartitioner(Configuration configuration)

### Method Detail

#### getPartition

    public int getPartition(java.lang.Object key,
                   java.lang.Object value,
                   int numReduceTasks)

Specified by:
  `getPartition` in interface `org.apache.tez.runtime.library.api.Partitioner`